Bug 1023844 - (CVE-2013-5602) CVE-2013-5602 Mozilla: Memory corruption in workers (MFSA 2013-101)
CVE-2013-5602 Mozilla: Memory corruption in workers (MFSA 2013-101)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20131029,repor...
: Security
Depends On:
Blocks: 1015366
  Show dependency treegraph
 
Reported: 2013-10-28 00:44 EDT by Huzaifa S. Sidhpurwala
Modified: 2015-08-22 12:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 12:23:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-10-28 00:44:38 EDT
Security researcher Nils used the Address Sanitizer tool while fuzzing to discover a memory corruption issue with the JavaScript engine when using workers with direct proxies. This results in a potentially exploitable crash.

In general this flaw cannot be exploited through email in the Thunderbird and Seamonkey products because scripting is disabled, but is potentially a risk in browser or browser-like contexts.


External Reference:

http://www.mozilla.org/security/announce/2013/mfsa2013-101.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Nils as the original reporter.
Comment 1 errata-xmlrpc 2013-10-29 17:16:53 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:1476 https://rhn.redhat.com/errata/RHSA-2013-1476.html
Comment 2 errata-xmlrpc 2013-10-30 12:32:34 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2013:1480 https://rhn.redhat.com/errata/RHSA-2013-1480.html

Note You need to log in before you can comment on or make changes to this bug.